Subject: [alpine-user] Abuild-tar breaks tar archive on aarch64

From: Mateusz Mikuła <[email-masked]>
Date: Wed, 21 Mar 2018 12:08:12 +0100

Hello,

I tried to port package using arm64v8/alpine Docker image and
qemu-aarch64-static with binfmt configured.
Everything was fine except from created apk file for main package having 6
KiB size and only one broken symlink inside (*-dev, *-libs are OK).

Investigated it a bit and apparently `abuild-tar` is the problem here,
tarring main package yields 27.5 MiB text file and passing it through
`abuild-tar --hash` reduces it to 6 KiB (again it works fine for *-dev and
*-libs).
Armhf build was fine.

Any idea what to do about it?

Best regards,
Mateusz Mikuła